
package co.com.tigo.gatewaycbs.web.ws;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;
import com.huawei.bme.cbsinterface.bcservices.AcctDeactivationRequest;
import com.huawei.bme.cbsinterface.bcservices.AddGroupMemberRequest;
import com.huawei.bme.cbsinterface.bcservices.BatchSubDeactivationRequest;
import com.huawei.bme.cbsinterface.bcservices.ChangeAcctBillCycleRequest;
import com.huawei.bme.cbsinterface.bcservices.ChangeAcctInfoRequest;
import com.huawei.bme.cbsinterface.bcservices.ChangeCustInfoRequest;
import com.huawei.bme.cbsinterface.bcservices.ChangeGroupOfferingRequest;
import com.huawei.bme.cbsinterface.bcservices.ChangeOfferingPropertyRequest;
import com.huawei.bme.cbsinterface.bcservices.ChangePayRelationRequest;
import com.huawei.bme.cbsinterface.bcservices.ChangeRscRelationRequest;
import com.huawei.bme.cbsinterface.bcservices.ChangeSubDFTAcctRequest;
import com.huawei.bme.cbsinterface.bcservices.ChangeSubGrpDFTAcctRequest;
import com.huawei.bme.cbsinterface.bcservices.ChangeSubIdentityRequest;
import com.huawei.bme.cbsinterface.bcservices.ChangeSubInfoRequest;
import com.huawei.bme.cbsinterface.bcservices.ChangeSubOfferingRequest;
import com.huawei.bme.cbsinterface.bcservices.ChangeSubOwnershipRequest;
import com.huawei.bme.cbsinterface.bcservices.ChangeSubPaymentModeRequest;
import com.huawei.bme.cbsinterface.bcservices.CreateAccountRequest;
import com.huawei.bme.cbsinterface.bcservices.CreateGroupRequest;
import com.huawei.bme.cbsinterface.bcservices.CreateSubscriberRequest;
import com.huawei.bme.cbsinterface.bcservices.DelGroupMemberRequest;
import com.huawei.bme.cbsinterface.bcservices.GroupDeactivationRequest;
import com.huawei.bme.cbsinterface.bcservices.QueryCustomerInfoRequest;
import com.huawei.bme.cbsinterface.bcservices.QueryGroupListBySubscriberRequest;
import com.huawei.bme.cbsinterface.bcservices.QueryGroupMemberListRequest;
import com.huawei.bme.cbsinterface.bcservices.QueryOfferingInstPropertyRequest;
import com.huawei.bme.cbsinterface.bcservices.QueryPaymentRelationRequest;
import com.huawei.bme.cbsinterface.bcservices.QuerySubscribedOfferingsRequest;
import com.huawei.bme.cbsinterface.bcservices.SubDeactivationRequest;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.6-1b01 
 * Generated source version: 2.2
 * 
 */
@WebService(name = "GatewayCbsWsBcServicesPortType1", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/")
@XmlSeeAlso({
    com.huawei.bme.cbsinterface.bccommon.ObjectFactory.class,
    com.huawei.bme.cbsinterface.bcservices.ObjectFactory.class,
    com.huawei.bme.cbsinterface.cbscommon.ObjectFactory.class,
    co.com.tigo.gatewaycbs.web.ws.ObjectFactory.class
})
public interface GatewayCbsWsBcServicesPortType1 {


    /**
     * 
     * @param acctDeactivationRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.AcctDeactivationResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "acctDeactivation", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.AcctDeactivation")
    @ResponseWrapper(localName = "acctDeactivationResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.AcctDeactivationResponse")
    public co.com.tigo.gatewaycbs.web.ws.AcctDeactivationResponse.Return acctDeactivation(
        @WebParam(name = "AcctDeactivationRequest", targetNamespace = "")
        AcctDeactivationRequest acctDeactivationRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param addGroupMemberRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.AddGroupMemberResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "addGroupMember", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.AddGroupMember")
    @ResponseWrapper(localName = "addGroupMemberResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.AddGroupMemberResponse")
    public co.com.tigo.gatewaycbs.web.ws.AddGroupMemberResponse.Return addGroupMember(
        @WebParam(name = "AddGroupMemberRequest", targetNamespace = "")
        AddGroupMemberRequest addGroupMemberRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param changeAcctBillCycleRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.ChangeAcctBillCycleResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "changeAcctBillCycle", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangeAcctBillCycle")
    @ResponseWrapper(localName = "changeAcctBillCycleResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangeAcctBillCycleResponse")
    public co.com.tigo.gatewaycbs.web.ws.ChangeAcctBillCycleResponse.Return changeAcctBillCycle(
        @WebParam(name = "ChangeAcctBillCycleRequest", targetNamespace = "")
        ChangeAcctBillCycleRequest changeAcctBillCycleRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param changeAcctInfoRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.ChangeAcctInfoResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "changeAcctInfo", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangeAcctInfo")
    @ResponseWrapper(localName = "changeAcctInfoResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangeAcctInfoResponse")
    public co.com.tigo.gatewaycbs.web.ws.ChangeAcctInfoResponse.Return changeAcctInfo(
        @WebParam(name = "ChangeAcctInfoRequest", targetNamespace = "")
        ChangeAcctInfoRequest changeAcctInfoRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param changeCustInfoRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.ChangeCustInfoResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "changeCustInfo", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangeCustInfo")
    @ResponseWrapper(localName = "changeCustInfoResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangeCustInfoResponse")
    public co.com.tigo.gatewaycbs.web.ws.ChangeCustInfoResponse.Return changeCustInfo(
        @WebParam(name = "ChangeCustInfoRequest", targetNamespace = "")
        ChangeCustInfoRequest changeCustInfoRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param changeOfferingPropertyRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.ChangeOfferingPropertyResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "changeOfferingProperty", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangeOfferingProperty")
    @ResponseWrapper(localName = "changeOfferingPropertyResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangeOfferingPropertyResponse")
    public co.com.tigo.gatewaycbs.web.ws.ChangeOfferingPropertyResponse.Return changeOfferingProperty(
        @WebParam(name = "ChangeOfferingPropertyRequest", targetNamespace = "")
        ChangeOfferingPropertyRequest changeOfferingPropertyRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param changeRscRelationRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.ChangeRscRelationResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "changeRscRelation", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangeRscRelation")
    @ResponseWrapper(localName = "changeRscRelationResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangeRscRelationResponse")
    public co.com.tigo.gatewaycbs.web.ws.ChangeRscRelationResponse.Return changeRscRelation(
        @WebParam(name = "ChangeRscRelationRequest", targetNamespace = "")
        ChangeRscRelationRequest changeRscRelationRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param changeSubIdentityRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.ChangeSubIdentityResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "changeSubIdentity", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangeSubIdentity")
    @ResponseWrapper(localName = "changeSubIdentityResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangeSubIdentityResponse")
    public co.com.tigo.gatewaycbs.web.ws.ChangeSubIdentityResponse.Return changeSubIdentity(
        @WebParam(name = "ChangeSubIdentityRequest", targetNamespace = "")
        ChangeSubIdentityRequest changeSubIdentityRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param changeSubOfferingRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.ChangeSubOfferingResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "changeSubOffering", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangeSubOffering")
    @ResponseWrapper(localName = "changeSubOfferingResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangeSubOfferingResponse")
    public co.com.tigo.gatewaycbs.web.ws.ChangeSubOfferingResponse.Return changeSubOffering(
        @WebParam(name = "ChangeSubOfferingRequest", targetNamespace = "")
        ChangeSubOfferingRequest changeSubOfferingRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param changeSubOwnershipRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.ChangeSubOwnershipResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "changeSubOwnership", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangeSubOwnership")
    @ResponseWrapper(localName = "changeSubOwnershipResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangeSubOwnershipResponse")
    public co.com.tigo.gatewaycbs.web.ws.ChangeSubOwnershipResponse.Return changeSubOwnership(
        @WebParam(name = "ChangeSubOwnershipRequest", targetNamespace = "")
        ChangeSubOwnershipRequest changeSubOwnershipRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param createAccountRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.CreateAccountResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "createAccount", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.CreateAccount")
    @ResponseWrapper(localName = "createAccountResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.CreateAccountResponse")
    public co.com.tigo.gatewaycbs.web.ws.CreateAccountResponse.Return createAccount(
        @WebParam(name = "CreateAccountRequest", targetNamespace = "")
        CreateAccountRequest createAccountRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param createGroupRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.CreateGroupResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "createGroup", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.CreateGroup")
    @ResponseWrapper(localName = "createGroupResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.CreateGroupResponse")
    public co.com.tigo.gatewaycbs.web.ws.CreateGroupResponse.Return createGroup(
        @WebParam(name = "CreateGroupRequest", targetNamespace = "")
        CreateGroupRequest createGroupRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param createSubscriberRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.CreateSubscriberResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "createSubscriber", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.CreateSubscriber")
    @ResponseWrapper(localName = "createSubscriberResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.CreateSubscriberResponse")
    public co.com.tigo.gatewaycbs.web.ws.CreateSubscriberResponse.Return createSubscriber(
        @WebParam(name = "CreateSubscriberRequest", targetNamespace = "")
        CreateSubscriberRequest createSubscriberRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param delGroupMemberRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.DelGroupMemberResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "delGroupMember", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.DelGroupMember")
    @ResponseWrapper(localName = "delGroupMemberResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.DelGroupMemberResponse")
    public co.com.tigo.gatewaycbs.web.ws.DelGroupMemberResponse.Return delGroupMember(
        @WebParam(name = "DelGroupMemberRequest", targetNamespace = "")
        DelGroupMemberRequest delGroupMemberRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param groupDeactivationRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.GroupDeactivationResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "groupDeactivation", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.GroupDeactivation")
    @ResponseWrapper(localName = "groupDeactivationResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.GroupDeactivationResponse")
    public co.com.tigo.gatewaycbs.web.ws.GroupDeactivationResponse.Return groupDeactivation(
        @WebParam(name = "GroupDeactivationRequest", targetNamespace = "")
        GroupDeactivationRequest groupDeactivationRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param queryGroupListBySubscriberRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.QueryGroupListBySubscriberResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "queryGroupListBySubscriber", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.QueryGroupListBySubscriber")
    @ResponseWrapper(localName = "queryGroupListBySubscriberResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.QueryGroupListBySubscriberResponse")
    public co.com.tigo.gatewaycbs.web.ws.QueryGroupListBySubscriberResponse.Return queryGroupListBySubscriber(
        @WebParam(name = "QueryGroupListBySubscriberRequest", targetNamespace = "")
        QueryGroupListBySubscriberRequest queryGroupListBySubscriberRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param queryGroupMemberListRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.QueryGroupMemberListResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "queryGroupMemberList", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.QueryGroupMemberList")
    @ResponseWrapper(localName = "queryGroupMemberListResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.QueryGroupMemberListResponse")
    public co.com.tigo.gatewaycbs.web.ws.QueryGroupMemberListResponse.Return queryGroupMemberList(
        @WebParam(name = "QueryGroupMemberListRequest", targetNamespace = "")
        QueryGroupMemberListRequest queryGroupMemberListRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param querySubscribedOfferingsRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.QuerySubscribedOfferingsResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "querySubscribedOfferings", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.QuerySubscribedOfferings")
    @ResponseWrapper(localName = "querySubscribedOfferingsResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.QuerySubscribedOfferingsResponse")
    public co.com.tigo.gatewaycbs.web.ws.QuerySubscribedOfferingsResponse.Return querySubscribedOfferings(
        @WebParam(name = "QuerySubscribedOfferingsRequest", targetNamespace = "")
        QuerySubscribedOfferingsRequest querySubscribedOfferingsRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param subDeactivationRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.SubDeactivationResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "subDeactivation", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.SubDeactivation")
    @ResponseWrapper(localName = "subDeactivationResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.SubDeactivationResponse")
    public co.com.tigo.gatewaycbs.web.ws.SubDeactivationResponse.Return subDeactivation(
        @WebParam(name = "SubDeactivationRequest", targetNamespace = "")
        SubDeactivationRequest subDeactivationRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param batchSubDeactivationRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.BatchSubDeactivationResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "batchSubDeactivation", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.BatchSubDeactivation")
    @ResponseWrapper(localName = "batchSubDeactivationResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.BatchSubDeactivationResponse")
    public co.com.tigo.gatewaycbs.web.ws.BatchSubDeactivationResponse.Return batchSubDeactivation(
        @WebParam(name = "BatchSubDeactivationRequest", targetNamespace = "")
        BatchSubDeactivationRequest batchSubDeactivationRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param queryCustomerInfoRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.QueryCustomerInfoResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "queryCustomerInfo", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.QueryCustomerInfo")
    @ResponseWrapper(localName = "queryCustomerInfoResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.QueryCustomerInfoResponse")
    public co.com.tigo.gatewaycbs.web.ws.QueryCustomerInfoResponse.Return queryCustomerInfo(
        @WebParam(name = "QueryCustomerInfoRequest", targetNamespace = "")
        QueryCustomerInfoRequest queryCustomerInfoRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param queryOfferingInstPropertyRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.QueryOfferingInstPropertyResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "queryOfferingInstProperty", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.QueryOfferingInstProperty")
    @ResponseWrapper(localName = "queryOfferingInstPropertyResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.QueryOfferingInstPropertyResponse")
    public co.com.tigo.gatewaycbs.web.ws.QueryOfferingInstPropertyResponse.Return queryOfferingInstProperty(
        @WebParam(name = "QueryOfferingInstPropertyRequest", targetNamespace = "")
        QueryOfferingInstPropertyRequest queryOfferingInstPropertyRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param changeSubPaymentModeRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.ChangeSubPaymentModeResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "changeSubPaymentMode", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangeSubPaymentMode")
    @ResponseWrapper(localName = "changeSubPaymentModeResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangeSubPaymentModeResponse")
    public co.com.tigo.gatewaycbs.web.ws.ChangeSubPaymentModeResponse.Return changeSubPaymentMode(
        @WebParam(name = "ChangeSubPaymentModeRequest", targetNamespace = "")
        ChangeSubPaymentModeRequest changeSubPaymentModeRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param changeSubDFTAcctRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.ChangeSubDFTAResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "changeSubDFTA", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangeSubDFTA")
    @ResponseWrapper(localName = "changeSubDFTAResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangeSubDFTAResponse")
    public co.com.tigo.gatewaycbs.web.ws.ChangeSubDFTAResponse.Return changeSubDFTA(
        @WebParam(name = "ChangeSubDFTAcctRequest", targetNamespace = "")
        ChangeSubDFTAcctRequest changeSubDFTAcctRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param changeGroupOfferingRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.ChangeGroupOfferingResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "changeGroupOffering", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangeGroupOffering")
    @ResponseWrapper(localName = "changeGroupOfferingResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangeGroupOfferingResponse")
    public co.com.tigo.gatewaycbs.web.ws.ChangeGroupOfferingResponse.Return changeGroupOffering(
        @WebParam(name = "ChangeGroupOfferingRequest", targetNamespace = "")
        ChangeGroupOfferingRequest changeGroupOfferingRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param changeSubInfoRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.ChangeSubInfoResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "changeSubInfo", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangeSubInfo")
    @ResponseWrapper(localName = "changeSubInfoResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangeSubInfoResponse")
    public co.com.tigo.gatewaycbs.web.ws.ChangeSubInfoResponse.Return changeSubInfo(
        @WebParam(name = "ChangeSubInfoRequest", targetNamespace = "")
        ChangeSubInfoRequest changeSubInfoRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param changeSubGrpDFTAcctRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.ChangeSubGrpDFTAcctResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "changeSubGrpDFTAcct", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangeSubGrpDFTAcct")
    @ResponseWrapper(localName = "changeSubGrpDFTAcctResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangeSubGrpDFTAcctResponse")
    public co.com.tigo.gatewaycbs.web.ws.ChangeSubGrpDFTAcctResponse.Return changeSubGrpDFTAcct(
        @WebParam(name = "ChangeSubGrpDFTAcctRequest", targetNamespace = "")
        ChangeSubGrpDFTAcctRequest changeSubGrpDFTAcctRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param changePayRelationRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.ChangePayRelationResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "changePayRelation", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangePayRelation")
    @ResponseWrapper(localName = "changePayRelationResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.ChangePayRelationResponse")
    public co.com.tigo.gatewaycbs.web.ws.ChangePayRelationResponse.Return changePayRelation(
        @WebParam(name = "ChangePayRelationRequest", targetNamespace = "")
        ChangePayRelationRequest changePayRelationRequest)
        throws GatewayCbsWSException_Exception
    ;

    /**
     * 
     * @param queryPaymentRelationRequest
     * @return
     *     returns co.com.tigo.gatewaycbs.web.ws.QueryPaymentRelationResponse.Return
     * @throws GatewayCbsWSException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "queryPaymentRelation", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.QueryPaymentRelation")
    @ResponseWrapper(localName = "queryPaymentRelationResponse", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/", className = "co.com.tigo.gatewaycbs.web.ws.QueryPaymentRelationResponse")
    public co.com.tigo.gatewaycbs.web.ws.QueryPaymentRelationResponse.Return queryPaymentRelation(
        @WebParam(name = "QueryPaymentRelationRequest", targetNamespace = "")
        QueryPaymentRelationRequest queryPaymentRelationRequest)
        throws GatewayCbsWSException_Exception
    ;

}
